package cn.stylefeng.team.generator.sdk.template.cache.biz;

import cn.stylefeng.roses.kernel.cache.redis.AbstractRedisCacheOperator;
import cn.stylefeng.team.generator.api.constants.GenerationConstants;
import cn.stylefeng.team.generator.api.pojo.template.BizGeneratorTemplateGroup;
import org.springframework.data.redis.core.RedisTemplate;

public class BizTemplateRedisCache extends AbstractRedisCacheOperator<BizGeneratorTemplateGroup> {

    public BizTemplateRedisCache(RedisTemplate<String, BizGeneratorTemplateGroup> redisTemplate) {
        super(redisTemplate);
    }

    @Override
    public String getCommonKeyPrefix() {
        return GenerationConstants.TEMPLATE_CACHE_PREFIX;
    }

}
